import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("packages")
export class PackagesEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    productId: string;

    @Column({ default: null, nullable: true })
    productName: string;

    @Column({ default: null, nullable: true })
    productUrlSlug: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    packageDetails: string;
}
