import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("product_review")
export class ProductReview extends CoreEntity {
    @Column({ default: null, nullable: true })
    productId: string;

    @Column({ default: null, nullable: true })
    productName: string;

    @Column({ default: 0, nullable: true })
    rating: number;

    @Column({ default: null, nullable: true, type: 'longtext' })
    comment: string;

    @Column({ default: null, nullable: true })
    userId: string;
}
